%define pkg_name kitoon
%define pkg_version 0.0.53
%define pkg_release 1

Name: rhscon-ui
Version: %{pkg_version}
Release: %{pkg_release}%{?dist}
BuildArch: noarch
Summary: GUI for Skyring
License: ASL 2.0
Group:   Applications/System
Source0: %{pkg_name}-%{pkg_version}.tar.gz
BuildRoot: %{_tmppath}/%{pkg_name}-%{pkg_version}-%{pkg_release}-buildroot
Url: https://github.com/skyrings/kitoon

Requires: rhscon-core

%description
Contains the JavaScript GUI content for the skyring front-end components
(dashboard, login screens, administration screens)

%prep
%setup -n %{pkg_name}-%{pkg_version}

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/skyring/webapp
cp -r ./dist/* $RPM_BUILD_ROOT/%{_datadir}/skyring/webapp/
chmod -x $RPM_BUILD_ROOT/%{_datadir}/skyring/webapp/fonts/PatternFlyIcons-webfont.svg

%clean
echo "clean"
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%{_datadir}/skyring/webapp/*
%doc README.md

%changelog
* Wed Aug 10 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.53-1
- Fixes units in network thresholds and utilization

* Fri Aug 05 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.52-1
- Fixed storage profiles on osd detail filters
- Fix graph data validations
- removed wrong utilization from pool listing

* Wed Jul 27 2016 karnan Chidambarakani <kchidamb@redhat.com> - 0.0.51-1
- fixed tooltips on PGS
- fixed hover color on navigation
- fixed alignment issue on pool listing

* Fri Jul 22 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.50-1
- fixed issue of osds are grouped by hosts again after refresh
- fixed accept host broken links on dashboard
- fixes selected storage profile color
- fixed the auto refresh issue in donut chart

* Thu Jul 21 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.49-1
- Fixed Secondary navigation menu
- Rbd creation on Ecpools handled
- fixed thresholds, units, tooltips

* Fri Jul 15 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.48-1
- typo and text changes
- alignment fixes on pool listing
- fixed action buttons on host list
- cluster congiguration info updated
- branding updated

* Tue Jul 12 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.47-1
- unified accept host pages
- fixed typos
- chart data validation

* Fri Jul 08 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.46-1
- Fixed typo issues
- Fixed empty chart issues
- renamed default storage profile name

* Tue Jul 05 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.45-1
- fixed alert drilldown issue on hostlisting
- fixed font-size and alignments on dashboard
- all charts no value issues fixed

* Sat Jul 02 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.44-1
- Bug fixes
- fixed typo errors

* Tue Jun 28 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.43-1
- Fixes issues with editing pool

* Sat Jun 25 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.42-1
- Loading icons until datas get loaded on dashboard
- Fix on breadcrumbs and list views
- Removed unused css and other links

* Mon Jun 20 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.41-1
- Fixed Dashboard charts to display upto 1 decimal stats
- Fixes cluster listing utilization chart

* Mon Jun 20 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.40-1
- Disable RBD creation on ec pools
- chart tooltips/clicks fixed
- bug fixes 

* Tue Jun 14 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.39-1
- Fixes storage services card in host dashboard
- Adds services tooltip to storage service card
- critical & warning events as default drill down from listing pages

* Mon Jun 13 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.38-1
- cluster osd alignment fixed
- submit/cancel redirection on rbd pages fixed
- host dashboard/pool/rbd listing overflow/alignment fixed

* Thu Jun 09 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.37-1
- Dashboard charts Issues fixed
- Dashboard alignments fixed
- Action buttons and dropdowns fixed

* Tue Jun 07 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.36-1
- UI clean up pool,host listing, Task, task details
- Storage services status added to dashboard
- PG number fixed in pool listing
- LDAP/AD selection enabled

* Fri Jun 03 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.35-1
- Fix email settings
- PG details on dashboard
- Alignment fixes on RBD / OSD pages
- Chart numbers trimmed 

* Mon May 23 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.34-1
- Increased Dashboard refresh time to 2 minutes

* Sun May 22 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.33-1
- Active/Dismiss event filters added
- UI bug fixes

* Fri May 20 2016 Karnan Chidambarakani <kchidamb@redhat.com> - 0.0.32-1
- Added branding.
- cluster dashboard: drill-down and status indicator implementation
- Moved blade view to list view for hosts' list
- Main dashboard: drill-down and status indicator implementation
- added about page

* Mon May 16 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.31-1
- ssl support enabled for websocket
- Add Discoverhost popup in expand cluster
- Breadcrumb navigations

* Tue May 10 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.30-1
- Added host osd detail page

* Sun May 8 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.29-1
- Storage Pool edit
- Host detail: added network utilization

* Mon May 2 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.28-1
- Add user info to event details
- Aggregates Alarm Count in listing pages
- Fix cluster actions

* Sat Apr 30 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.27-2
- Fix json syntex issue in config.json

* Sat Apr 30 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.27-1
- Import cluster
- host details page
- about page
- empty state handling for RBD and Pool listing
- Create RBD with Pool
- Create cluster with Jounral configuration

* Thu Apr 14 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.26-1
- cluster dashboard - added configuration page
- rbd list component added
- cluster dashboard - added features in osd detail page
- change pool list as list view
- disable mixing ceph host roles
- fix rpmlinit errors

* Wed Mar 30 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.25-1
- main-dashboard : added system performance object
- show task details as popup in accept hosts view
- pool list in cluster detail page
- Dismiss Events Enabled

* Thu Mar 24 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.24-1
- cluster dashboard - added host detail page
- storage profile management in cluster creation
- cluster-dashboard : added system performance object
- Accpet hosts during cluster creation

* Wed Mar 16 2016 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.0.23-1
- OSD Details Page added
- Event listing with filters

* Tue Mar 15 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.22-1
- test mail notifications, EC pool creation, cluster workflow changes

* Wed Mar 09 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.21-1
- Fix redirection problem in dashboard

* Mon Mar 07 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.20-1
- RBD list for cluster, removed cache tier from pool creation

* Tue Mar 01 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.19-1
- added event list page

* Tue Mar 01 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.18-1
- rbd resize, mail settings, task filtering

* Mon Feb 29 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.17-1
- rbd management - create, list and delete

* Wed Feb 24 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.16-1
- Fixed the problem in accepting nodes

* Tue Feb 23 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.15-1
- Initial dashboard implementation
  Refactored node status flow
  Supprot for pool quota

* Wed Feb 17 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.14-1
- Fixed issues in pool creation and cluster status

* Tue Feb 16 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.13-1
- Configuring LDAP through UI, Import LDAP users

* Mon Feb 15 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.12-1
- enhancemens to cluster dashboard, tasks pagination,
  pool creation pg calculations

* Tue Feb 02 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.11-1
- Fixed issues in cluster dashboard and cluster name in hosts

* Tue Feb 02 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.10-1
- Fixed issue in expand cluster

* Tue Feb 02 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.9-1
- Fixed issue in cluster public network

* Mon Feb 01 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.8-1
- Added features: cluster dashboard, tasks details, host status

* Thu Jan 28 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.7-1
- Added disk storage profile management to cluster creation

* Tue Jan 12 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.6-0.1.alpha1
- Added memory usage to hosts page

* Mon Jan 11 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.5-0.1.alpha1
- Fallback to poll in websocket not supported

* Fri Jan 08 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.4-0.2.alpha1
- Re-Build alpha1 - v0.0.4-0.2.alpha1

* Fri Jan 08 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.4-0.1.alpha1
- Build alpha1 - v0.0.4-0.1.alpha1

* Tue Jan 05 2016 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.3-0.1.alpha1
- Build alpha1 - v0.0.3-0.1.alpha1

* Thu Dec 31 2015 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.0.2-0.1.alpha1
- Build alpha1 - v0.0.2-0.1.alpha1

* Fri Dec 04 2015 <tjeyasin@redhat.com> 0.0.2-1
- Initial build.
